## hymns 20100214

=== Makefile ===
#############################################################################
# Makefile for building: hymns
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 12 00:10:09 2010
# Project:  hymns.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile hymns.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtDBus -I/usr/include/QtMaemo5 -I/usr/include -I. -Isrc -I/usr/include/poppler/qt4 -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/lib -lpoppler-qt4 -lQtMaemo5 -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/documentwidget.cpp \
		src/main.cpp \
		src/window.cpp moc_documentwidget.cpp \
		moc_window.cpp
OBJECTS       = documentwidget.o \
		main.o \
		window.o \
		moc_documentwidget.o \
		moc_window.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		hymns.pro
QMAKE_TARGET  = hymns
DESTDIR       = 
TARGET        = hymns

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: hymns.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile hymns.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile hymns.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/hymns1.0.0 || $(MKDIR) .tmp/hymns1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/hymns1.0.0/ && $(COPY_FILE) --parents src/documentwidget.h src/window.h .tmp/hymns1.0.0/ && $(COPY_FILE) --parents src/documentwidget.cpp src/main.cpp src/window.cpp .tmp/hymns1.0.0/ && (cd `dirname .tmp/hymns1.0.0` && $(TAR) hymns1.0.0.tar hymns1.0.0 && $(COMPRESS) hymns1.0.0.tar) && $(MOVE) `dirname .tmp/hymns1.0.0`/hymns1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/hymns1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_documentwidget.cpp moc_window.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_documentwidget.cpp moc_window.cpp
moc_documentwidget.cpp: src/documentwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/documentwidget.h -o moc_documentwidget.cpp

moc_window.cpp: src/documentwidget.h \
		src/window.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/window.h -o moc_window.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

documentwidget.o: src/documentwidget.cpp src/documentwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o documentwidget.o src/documentwidget.cpp

main.o: src/main.cpp src/window.h \
		src/documentwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o src/main.cpp

window.o: src/window.cpp src/window.h \
		src/documentwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o window.o src/window.cpp

moc_documentwidget.o: moc_documentwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_documentwidget.o moc_documentwidget.cpp

moc_window.o: moc_window.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_window.o moc_window.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
hymns (20100214) unstable; urgency=low

  * Initial release.

 -- Flandry <davidfalkayn@gmail.com>  Mon,  8 Feb 2010 19:49:38 -0500

=== debian/control ===
Source: hymns
Section: user/religious
Priority: optional
Maintainer: Flandry <davidfalkayn@gmail.com>
Build-Depends: debhelper (>= 4.0.0), libpoppler-qt4-dev, libqt4-dev
Standards-Version: 3.8.1
Homepage: http://

Package: hymns 
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, hymns-data 
Description: Viewer for hymns of the LDS church
 For a little scattering sunshine on the go or an extra hymnbook in a pinch, Hymns
 aspires to be a simple finger-friendly interface to the PDF edition of the official 
 hymns of The Church of Jesus Christ of Latter-Day Saints.
 .
 It is based on Qt and Poppler and the PDF made available here:
 http://www.lds.org/cm/display/0,17631,7572-1,00.html,
 modified to remove hymns licensed from other sources. Ricky, developer of the 
 iPhone viewer, provided the modified PDFs. Feel free to tip him for his work at 
 http://www.ldshymnsapp.com 
 .
 Note: this app is not a production of the LDS church (i.e. it's not "official").
XB-Maemo-Display-Name: Hymns
XSBC-Bugtracker: 
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAARnQU1BAACxjwv8YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
 AADqYAAAOpgAABdwnLpRPAAAABl0RVh0U29mdHdhcmUAUGFpbnQuTkVUIHYz
 LjUuND6NzHYAAAhcSURBVGhD7dh70OdTHQdwlxVWolbuSiRTZirEIJmaUMJk
 ck01kk2TSy4pCeXSdXVzHymXyZ0SlS6yZaldodGFpky7qKR1TS5FrPfrmXN2
 ju/zfX7P067H0x/7m3nPOd/zPd9zzvtzP7/FFlv0WySBiZXAw/NmLB6sFbw8
 eFUweaQT5d3SwSvK3DV9O7Gnz+45xDrBxcH04MbggAEE3pP3M8rcb6fdYEIJ
 5ADLBJ8KHg/mFfwj7Xrdg2Vs2eDPzbz/pP/FYLkJI1FM4ZrmUJXE7j0ENu+Z
 d3PG1p9IAq/rSLUSmNZDYGoPgbkZ2+T/kcApHLYeLP0lgo/0ELgvY9tNJIG3
 5gCP9RzsZxlbqSHAVy7tmffUIKcfd2LZXEh02Kc7h9u/x4Te0UPg9xnbdNwP
 OiAskuwJAUlW+9du1kPgxRl/ojNPKF3leSXAtoPJxa71p/UQ2LqHwJQeDVyZ
 sdWeNwLZ7JWB2H1y8IFgUrB/8M/mcOL7sARVSN/VzKO104IXBW8IDgkODbYY
 N0JZ/KBG2g+kv1TAtv8aXBXcEPw7WLFHA0oOc4TOiwLmdFSwZPC98p1vzx5P
 Ah9vJPhIIfDBtF8juYLfpt247xAZV0bsF2xWWtqUoWc16140LgSywQrB55uN
 7kyfSVH9ccFGgaj0i2CYDzhUxjntG4NNg22DzwRrBzRTgwDtTHnOSWTRFYMr
 mo2eTH+HQuCIBSTw2Xz3mqD1IQXhsFpqREKZvE2wYzCq82TOgQ2BP6W/XHB0
 sEeXQJ6F2JeRZkB7nn/S0cCZeX5pcG6z7oXpLzFIA3mvFN8YqJUtU99fgheO
 8uH2zUbMgQP2Edg540oHUWanQGmhmGPrrQlZA8mPNeseO5r5ZO6pwd8BgWp7
 sulaoxBQz9f5P0qfA34peG/Q+gCf+Fuwb/Da4Kbg66VtCTBJFyEleV33+DEQ
 uLrObwk8PAYCH86cfwXiOawcnBG8r0Pgq3meGVwXfCP4XbBrDwFzNgi+Fdhf
 aD4nmDQg+0uel/QR4JQ7jqIBcfvXwfHB3QEHJMUuAWbFXx4qG9lw6x4Ct2Zs
 w0A9RaPnBz8Olh1AgD/Nvxi1GngwL+bfjvQDDrZUU1XSwK+CTwaixRrB93sI
 KNKERtpiGkj/tIcAO5Y/ODPnlU/OG4MJfbesO68lcH8Ghy7ZRVrfSStxccQX
 lHFOXAkYX30EAm1h1/b5QusD95TngxsCRzUCU6aotU4MDguG7hhpFZBD63pQ
 z88JLDZke2mPDKiVt5PmkGbSiiwIeC9hMaGRNDA775iZMkOEs45M3EeAg1cN
 nJX+kAml9WeB9b8Z/DwYKlHSimrC+AMebML2OOXqZYJ/GlzU1StnNhI5oBBg
 QuzXPHVM1wc87x0oM3zDd94fUH0fAYKqBC5IvwpSFFMc1rqpWgifUobMQoB0
 RAr/JrwrUCpLbDTDL25tCIguIou4TQJvD/7QQ4DDuq0pLbYLhN+3Bd1S4t6M
 SYItAX8SrFoESVDyFGGeUsY48R2BdzMqATaltlGInRSILDzdhiZvEvjzipT4
 BskKe8IjCXU10BJ4UyHTR8AaBMD/zgsI6LbAN7It7V4f8B2BgOkyp0eDZxHw
 4o8Bx6jXQwvRjMmkbQEbtQSqgy4MgbqGhCg8kzbzvLn0L0+rBHEudwgtkxpG
 wIGFvS6B7qW9JcDEzB8LAVrpmhANzC2C+1zaT5d+G7kqgbZisO+zCHgQXWRE
 B6Qy5kEDoogMqTSgiZaALOwSMhYC649AoIbESgAp5iwqsn/70QB/Ecn0mdYw
 Dfwyg2It+9slkKgQkFV5vHqFhFoCH80zDSGwSsDBJKzWB9T+HFrZ0aeB/TJO
 upWAgk++eXfAF/mdQ7s7qLk+FMhBIxIQORRmogGbFA6VBVMDIbGXQBOpxO2W
 wPI9BCRA4ZRmZXdlTCUwPX3h+fXB2YGwioCDEwYSwwhggy0NVAJqEs69MARc
 HZXT7hytBvzFokq9PRDrmUwfAQmOFVQCzkY4otUwDZzeQ8CkSmCf9MeqgT0z
 Vzi2ppYU3d6qCSHw6uA3Ac2y7T4CaqMvdAi4yDCn+QQ4i1pDQdVqAGsZFAFS
 HGRCrpQvCVYNlAvWU0dtG2wVuOAwR37Fv9zSEKKBQQS+kveuna0GVK/uG/a4
 SSJjh0IVZ3EQanJ7IpUfBKS+ZUCqaiERgE+IFtWJSdY3bwmEY3Zq/iFBvbJq
 bwlIet1AYBAAKgF5wJ8GBCBi8QGmQnuSHV/xHQ3YX210FwLCpI8lKkTWC4RH
 0vFs03eWjRR4Sg6JhuNVAjY6pjybgzTzgYPKuHLCuy8HBCPSEEIlIOPL/vcF
 DrtF2fvq0l6Z9s2BcsfhCWImAuLrpYHwp8rj+cKiTGic1EWkywJ252MHt7ki
 UCnB0dYOmIxcYZ4Lisu6/rQASTb/iYC2dgvkEN+6F9Ri7tqyvtJCjSRPVHM+
 p6x7aFraGiIgWTggNdkMw4MDJmRcJDg8EJHYHTtmg0oMknQIm6o29wrmBHyH
 5BDgxA5hc6UIX2NONf4Ly/LAJWWuayZtKRTVPUxIaKVh+9KuMwnXtyOgfKgE
 SMFELanIxqpP0cBhfxgo+BxMXUJK7FgSpBVEaZR06jxmqMa/KkCAhhV2hOHg
 CGkJwRxaOjbgj+YSWDVzJM0HZ56NgFpGmTA3EJFIXmFHM57vDtgnZ+cXs8vH
 NkWQLzAnizIHdQpbpiHkHgr+W8aZmzKFGfE5a9RWBkaaAIxZGxzeWQjJ3uA9
 ovcg0BZOY+mTIiLtXBUkSbF7Bx+0DoKiluTVznOhIqyxnGH+nAUhQGPMp93I
 GBJtNTvoIObRSneN7rqjklkQAqMu+r9KcWHmLyKwMNJ7Lr59Bt5Rr+PFypxP
 AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#cflags="-Wall -O2"
#
#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#  cflags +=" -g"
#endif

configure: 
	dh_testdir
#	$(MAKE) -f /usr/share/quilt/quilt.make patch
	# Add here commands to configure the package.
#	./configure --prefix=/opt/maemo/usr --mandir=\$${prefix}/share/man LDFLAGS="-Wl,--as-needed -Wl,-z,defs"

build: configure 
	dh_testdir
	# Add here commands to compile the package.
#	qmake hymns.pro
	$(MAKE) 

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	make clean
	rm -f hymns
	dh_clean

dest=$(CURDIR)/debian/hymns

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(dest)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
#	dh_installman
#	dh_installchangelogs NEWS
#	mv $(dest)/usr/share/doc $(dest)/opt/maemo/usr/share/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
